# Uses of Class
javax.net.ssl.SSLEngine

Packages that use SSLEngine
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLEngine in javax.net.ssl

Methods in javax.net.ssl that return SSLEngine
Modifier and Type
Method
Description
`final SSLEngine`
SSLContext.`createSSLEngine()`
Creates a new `SSLEngine` using this context.
`final SSLEngine`
SSLContext.`createSSLEngine(String peerHost, int peerPort)`
Creates a new `SSLEngine` using this context using advisory peer information.
`protected abstract SSLEngine`
SSLContextSpi.`engineCreateSSLEngine()`
Creates a new `SSLEngine` using this context.
`protected abstract SSLEngine`
SSLContextSpi.`engineCreateSSLEngine(String host, int port)`
Creates a `SSLEngine` using this context.
Methods in javax.net.ssl that return types with arguments of type SSLEngine
Modifier and Type
Method
Description
`BiFunction<SSLEngine, List<String>, String>`
SSLEngine.`getHandshakeApplicationProtocolSelector()`
Retrieves the callback function that selects an application protocol value during a SSL/TLS/DTLS handshake.
Methods in javax.net.ssl with parameters of type SSLEngine
Modifier and Type
Method
Description
`abstract void`
X509ExtendedTrustManager.`checkClientTrusted(X509Certificate[] chain, String authType, SSLEngine engine)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`abstract void`
X509ExtendedTrustManager.`checkServerTrusted(X509Certificate[] chain, String authType, SSLEngine engine)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`String`
X509ExtendedKeyManager.`chooseEngineClientAlias(String[] keyType, Principal[] issuers, SSLEngine engine)`
Choose an alias to authenticate the client side of an `SSLEngine` connection given the public key type and the list of certificate issuer authorities recognized by the peer (if any).
`String`
X509ExtendedKeyManager.`chooseEngineServerAlias(String keyType, Principal[] issuers, SSLEngine engine)`
Choose an alias to authenticate the server side of an `SSLEngine` connection given the public key type and the list of certificate issuer authorities recognized by the peer (if any).
Method parameters in javax.net.ssl with type arguments of type SSLEngine
Modifier and Type
Method
Description
`void`
SSLEngine.`setHandshakeApplicationProtocolSelector(BiFunction<SSLEngine, List<String>, String> selector)`
Registers a callback function that selects an application protocol value for a SSL/TLS/DTLS handshake.